[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#154027: libgnomevfs2-0: links in libssl, which violates the license of GPL'd programs linked against it

Package: libgnomevfs2-0
Version: 2.0.1-1
Severity: serious
Tags: sid

[Sorry if this ends up arriving twice.]

pisces:~$ ldd /usr/lib/libgnomevfs-2.so
libssl.so.0.9.6 => /usr/lib/libssl.so.0.9.6 (0x40249000)
libcrypto.so.0.9.6 => /usr/lib/libcrypto.so.0.9.6 (0x40275000)

Linking anything licensed under the GPL against libgnomevfs-2 and
distributing the result violates the GPL'd program's license, as the
libssl license is incompatible with the GPL. 

Note: This *isn't* a violation of the libgnomevfs2 license, but gnomevfs
can cause us to violate other packages' licenses.

It would be best if libgnomevfs-2 was not linked against libssl at all, 
or ported to gnutls or some other GPL-compatible library.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux pisces 2.4.18 #1 Sun Mar 17 19:08:08 EST 2002 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages libgnomevfs2-0 depends on:
ii  gconf2                        1.2.0-1    GNOME configuration database syste
ii  libbonobo-activation4         1.0.2-1    Bonobo Activation Framework -- run
ii  libc6                         2.2.5-12   GNU C Library: Shared libraries an
ii  libglib2.0-0                  2.0.4-3    The GLib library of C routines
ii  libgnomevfs2-common           2.0.1-1    The GNOME virtual file-system libr
ii  liblinc1                      0.5.0-1    library to simplify creating netwo
ii  liborbit2                     2.4.0-1    Libraries for ORBit2 - a CORBA ORB
ii  libssl0.9.6                   0.9.6d-1   SSL shared libraries
ii  libxml2                       2.4.23-1   GNOME XML library
ii  zlib1g                        1:1.1.4-2  compression library - runtime

-- no debconf information

Joe Drew <hoserhead@woot.net> <drew@debian.org>

"This particular group of cats is mostly self-herding." -- Bdale Garbee

To UNSUBSCRIBE, email to debian-legal-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: